Issue 122446 - [sidebar] paragraph spacing increase and decrease have wrong icon
[sidebar] paragraph spacing increase and decrease have wrong icon
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: ui
4.0.0-dev
PC Windows 7
: P3 normal (vote)
: 4.0.0
Assigned To: Andre
:
Depends on:
Blocks: [sidebar]
  Show dependency treegraph
 
Reported: 2013-06-03 22:17 UTC by Regina Henschel
Modified: 2013-07-11 13:56 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Regina Henschel 2013-06-03 22:17:10 UTC
Look at the icons, which are directly under the word "Spacing:" in the Paragraph panel.
The icons show an increase/decrease between the lines of a paragraph. But the action of the buttons is to increase/decrease the space before and after the current paragraph. A proper icon would be sc_paraspaceincrease.png and sc_paraspacedecrease.png from default_images\res\commandimagelist. These are already used in the "Text formatting" toolbar in Draw/Impress for the very same action.
Comment 1 Andre 2013-06-04 16:22:49 UTC
I personally can distinguish the currently used icons better than those for ParaspaceIncrease and -Decrease.  But we should try to use AOO icons wherever possible.  Therefore I will exchange the icons.
Comment 2 SVN Robot 2013-06-04 16:29:33 UTC
"af" committed SVN revision 1489501 into trunk:
122446: Use different icons in Paragraph panel for increasing or decreasing i...
Comment 3 SVN Robot 2013-06-04 16:29:36 UTC
"af" committed SVN revision 1489504 into trunk:
122446: Removed unused icons.
Comment 4 Andre 2013-06-04 16:31:54 UTC
Removed the now unused Symphony icons and replaced them with those used for the ParaspaceIncrease and ParaspaceDecrease commands.  There is one problem.  The two commands are defined in DrawImpressCommands.xcu but not in GenericCommands.xcu.  Because of this the icons can not be loaded like most other icons that are defined for UNO commands.  I don't want to move the commands to GenericCommands.xcu so shortly before a release.  That may be a trivial change, or it could introduce subtle errors.  Instead I use the special private:graphicrepository syntax to access the icons.  The downside of this is that I have to use the Command field of the ToolBoxItem to transpart the icon URLs from resource file to implementation.  Not pretty but it works.
Comment 5 SVN Robot 2013-06-05 07:26:56 UTC
"af" committed SVN revision 1489726 into trunk:
122446: Fixed typo.